unit schVentasTerminadasClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_VentasTerminadasCrossTab = '{CB7ED815-B25C-406C-AC94-F6011D81D7F7}';
  RID_VentasTerminadas = '{DC08830B-E517-4CB1-A709-B8B9606E065E}';

  { Data table names }
  nme_VentasTerminadasCrossTab = 'VentasTerminadasCrossTab';
  nme_VentasTerminadas = 'VentasTerminadas';

  { VentasTerminadasCrossTab fields }

  { VentasTerminadasCrossTab field indexes }

  { VentasTerminadas fields }
  fld_VentasTerminadasNUMINF = 'NUMINF';
  fld_VentasTerminadasCLAVE1 = 'CLAVE1';
  fld_VentasTerminadasCLAVE2 = 'CLAVE2';
  fld_VentasTerminadasCLAVE3 = 'CLAVE3';
  fld_VentasTerminadasFECHA = 'FECHA';
  fld_VentasTerminadasDIA = 'DIA';
  fld_VentasTerminadasDIASEMANA = 'DIASEMANA';
  fld_VentasTerminadasMES = 'MES';
  fld_VentasTerminadasANO = 'ANO';
  fld_VentasTerminadasCENTRO = 'CENTRO';
  fld_VentasTerminadasVENDEDOR = 'VENDEDOR';
  fld_VentasTerminadasNUMTALON = 'NUMTALON';
  fld_VentasTerminadasCODIGO = 'CODIGO';
  fld_VentasTerminadasPRODUCTO = 'PRODUCTO';
  fld_VentasTerminadasGRUPOPRODUCTO = 'GRUPOPRODUCTO';
  fld_VentasTerminadasTIPOPRODUCTO = 'TIPOPRODUCTO';
  fld_VentasTerminadasCOLECCION = 'COLECCION';
  fld_VentasTerminadasCOLOR = 'COLOR';
  fld_VentasTerminadasTALLA = 'TALLA';
  fld_VentasTerminadasTALLA38 = 'TALLA38';
  fld_VentasTerminadasTALLA40 = 'TALLA40';
  fld_VentasTerminadasTALLA42 = 'TALLA42';
  fld_VentasTerminadasTALLA44 = 'TALLA44';
  fld_VentasTerminadasTALLA46 = 'TALLA46';
  fld_VentasTerminadasTALLA48 = 'TALLA48';
  fld_VentasTerminadasVTATERMDEV = 'VTATERMDEV';
  fld_VentasTerminadasVTAFINALRESC = 'VTAFINALRESC';
  fld_VentasTerminadasVENTAS = 'VENTAS';
  fld_VentasTerminadasDEVOLUCIONES = 'DEVOLUCIONES';
  fld_VentasTerminadasTOTAL = 'TOTAL';
  fld_VentasTerminadasVALTERMDEV = 'VALTERMDEV';
  fld_VentasTerminadasVALFINALRESC = 'VALFINALRESC';
  fld_VentasTerminadasVALVEN = 'VALVEN';
  fld_VentasTerminadasVALDEV = 'VALDEV';
  fld_VentasTerminadasVALTOT = 'VALTOT';

  { VentasTerminadas field indexes }
  idx_VentasTerminadasNUMINF = 0;
  idx_VentasTerminadasCLAVE1 = 1;
  idx_VentasTerminadasCLAVE2 = 2;
  idx_VentasTerminadasCLAVE3 = 3;
  idx_VentasTerminadasFECHA = 4;
  idx_VentasTerminadasDIA = 5;
  idx_VentasTerminadasDIASEMANA = 6;
  idx_VentasTerminadasMES = 7;
  idx_VentasTerminadasANO = 8;
  idx_VentasTerminadasCENTRO = 9;
  idx_VentasTerminadasVENDEDOR = 10;
  idx_VentasTerminadasNUMTALON = 11;
  idx_VentasTerminadasCODIGO = 12;
  idx_VentasTerminadasPRODUCTO = 13;
  idx_VentasTerminadasGRUPOPRODUCTO = 14;
  idx_VentasTerminadasTIPOPRODUCTO = 15;
  idx_VentasTerminadasCOLECCION = 16;
  idx_VentasTerminadasCOLOR = 17;
  idx_VentasTerminadasTALLA = 18;
  idx_VentasTerminadasTALLA38 = 19;
  idx_VentasTerminadasTALLA40 = 20;
  idx_VentasTerminadasTALLA42 = 21;
  idx_VentasTerminadasTALLA44 = 22;
  idx_VentasTerminadasTALLA46 = 23;
  idx_VentasTerminadasTALLA48 = 24;
  idx_VentasTerminadasVTATERMDEV = 25;
  idx_VentasTerminadasVTAFINALRESC = 26;
  idx_VentasTerminadasVENTAS = 27;
  idx_VentasTerminadasDEVOLUCIONES = 28;
  idx_VentasTerminadasTOTAL = 29;
  idx_VentasTerminadasVALTERMDEV = 30;
  idx_VentasTerminadasVALFINALRESC = 31;
  idx_VentasTerminadasVALVEN = 32;
  idx_VentasTerminadasVALDEV = 33;
  idx_VentasTerminadasVALTOT = 34;

type
  { IVentasTerminadasCrossTab }
  IVentasTerminadasCrossTab = interface(IDAStronglyTypedDataTable)
  ['{EF1D0240-B945-4A63-AB9C-C2584843DCC6}']
    { Property getters and setters }


    { Properties }
  end;

  { TVentasTerminadasCrossTabDataTableRules }
  TVentasTerminadasCrossTabDataTableRules = class(TDADataTableRules, IVentasTerminadasCrossTab)
  private
  protected
    { Property getters and setters }

    { Properties }

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IVentasTerminadas }
  IVentasTerminadas = interface(IDAStronglyTypedDataTable)
  ['{EA7C15A8-75FD-4440-A504-0800A6BC8AE8}']
    { Property getters and setters }
    function GetNUMINFValue: String;
    procedure SetNUMINFValue(const aValue: String);
    function GetCLAVE1Value: Float;
    procedure SetCLAVE1Value(const aValue: Float);
    function GetCLAVE2Value: Integer;
    procedure SetCLAVE2Value(const aValue: Integer);
    function GetCLAVE3Value: Integer;
    procedure SetCLAVE3Value(const aValue: Integer);
    function GetFECHAValue: DateTime;
    procedure SetFECHAValue(const aValue: DateTime);
    function GetDIAValue: Integer;
    procedure SetDIAValue(const aValue: Integer);
    function GetDIASEMANAValue: String;
    procedure SetDIASEMANAValue(const aValue: String);
    function GetMESValue: String;
    procedure SetMESValue(const aValue: String);
    function GetANOValue: Integer;
    procedure SetANOValue(const aValue: Integer);
    function GetCENTROValue: String;
    procedure SetCENTROValue(const aValue: String);
    function GetVENDEDORValue: String;
    procedure SetVENDEDORValue(const aValue: String);
    function GetNUMTALONValue: String;
    procedure SetNUMTALONValue(const aValue: String);
    function GetCODIGOValue: String;
    procedure SetCODIGOValue(const aValue: String);
    function GetPRODUCTOValue: String;
    procedure SetPRODUCTOValue(const aValue: String);
    function GetGRUPOPRODUCTOValue: String;
    procedure SetGRUPOPRODUCTOValue(const aValue: String);
    function GetTIPOPRODUCTOValue: String;
    procedure SetTIPOPRODUCTOValue(const aValue: String);
    function GetCOLECCIONValue: String;
    procedure SetCOLECCIONValue(const aValue: String);
    function GetCOLORValue: String;
    procedure SetCOLORValue(const aValue: String);
    function GetTALLAValue: String;
    procedure SetTALLAValue(const aValue: String);
    function GetTALLA38Value: Float;
    procedure SetTALLA38Value(const aValue: Float);
    function GetTALLA40Value: Float;
    procedure SetTALLA40Value(const aValue: Float);
    function GetTALLA42Value: Float;
    procedure SetTALLA42Value(const aValue: Float);
    function GetTALLA44Value: Float;
    procedure SetTALLA44Value(const aValue: Float);
    function GetTALLA46Value: Float;
    procedure SetTALLA46Value(const aValue: Float);
    function GetTALLA48Value: Float;
    procedure SetTALLA48Value(const aValue: Float);
    function GetVTATERMDEVValue: Float;
    procedure SetVTATERMDEVValue(const aValue: Float);
    function GetVTAFINALRESCValue: Float;
    procedure SetVTAFINALRESCValue(const aValue: Float);
    function GetVENTASValue: Float;
    procedure SetVENTASValue(const aValue: Float);
    function GetDEVOLUCIONESValue: Float;
    procedure SetDEVOLUCIONESValue(const aValue: Float);
    function GetTOTALValue: Float;
    procedure SetTOTALValue(const aValue: Float);
    function GetVALTERMDEVValue: Float;
    procedure SetVALTERMDEVValue(const aValue: Float);
    function GetVALFINALRESCValue: Float;
    procedure SetVALFINALRESCValue(const aValue: Float);
    function GetVALVENValue: Float;
    procedure SetVALVENValue(const aValue: Float);
    function GetVALDEVValue: Float;
    procedure SetVALDEVValue(const aValue: Float);
    function GetVALTOTValue: Float;
    procedure SetVALTOTValue(const aValue: Float);


    { Properties }
    property NUMINF: String read GetNUMINFValue write SetNUMINFValue;
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Integer read GetCLAVE2Value write SetCLAVE2Value;
    property CLAVE3: Integer read GetCLAVE3Value write SetCLAVE3Value;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property DIA: Integer read GetDIAValue write SetDIAValue;
    property DIASEMANA: String read GetDIASEMANAValue write SetDIASEMANAValue;
    property MES: String read GetMESValue write SetMESValue;
    property ANO: Integer read GetANOValue write SetANOValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property VENDEDOR: String read GetVENDEDORValue write SetVENDEDORValue;
    property NUMTALON: String read GetNUMTALONValue write SetNUMTALONValue;
    property CODIGO: String read GetCODIGOValue write SetCODIGOValue;
    property PRODUCTO: String read GetPRODUCTOValue write SetPRODUCTOValue;
    property GRUPOPRODUCTO: String read GetGRUPOPRODUCTOValue write SetGRUPOPRODUCTOValue;
    property TIPOPRODUCTO: String read GetTIPOPRODUCTOValue write SetTIPOPRODUCTOValue;
    property COLECCION: String read GetCOLECCIONValue write SetCOLECCIONValue;
    property COLOR: String read GetCOLORValue write SetCOLORValue;
    property TALLA: String read GetTALLAValue write SetTALLAValue;
    property TALLA38: Float read GetTALLA38Value write SetTALLA38Value;
    property TALLA40: Float read GetTALLA40Value write SetTALLA40Value;
    property TALLA42: Float read GetTALLA42Value write SetTALLA42Value;
    property TALLA44: Float read GetTALLA44Value write SetTALLA44Value;
    property TALLA46: Float read GetTALLA46Value write SetTALLA46Value;
    property TALLA48: Float read GetTALLA48Value write SetTALLA48Value;
    property VTATERMDEV: Float read GetVTATERMDEVValue write SetVTATERMDEVValue;
    property VTAFINALRESC: Float read GetVTAFINALRESCValue write SetVTAFINALRESCValue;
    property VENTAS: Float read GetVENTASValue write SetVENTASValue;
    property DEVOLUCIONES: Float read GetDEVOLUCIONESValue write SetDEVOLUCIONESValue;
    property TOTAL: Float read GetTOTALValue write SetTOTALValue;
    property VALTERMDEV: Float read GetVALTERMDEVValue write SetVALTERMDEVValue;
    property VALFINALRESC: Float read GetVALFINALRESCValue write SetVALFINALRESCValue;
    property VALVEN: Float read GetVALVENValue write SetVALVENValue;
    property VALDEV: Float read GetVALDEVValue write SetVALDEVValue;
    property VALTOT: Float read GetVALTOTValue write SetVALTOTValue;
  end;

  { TVentasTerminadasDataTableRules }
  TVentasTerminadasDataTableRules = class(TDADataTableRules, IVentasTerminadas)
  private
  protected
    { Property getters and setters }
    function GetNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetCLAVE3Value: Integer; virtual;
    procedure SetCLAVE3Value(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetDIAValue: Integer; virtual;
    procedure SetDIAValue(const aValue: Integer); virtual;
    function GetDIASEMANAValue: String; virtual;
    procedure SetDIASEMANAValue(const aValue: String); virtual;
    function GetMESValue: String; virtual;
    procedure SetMESValue(const aValue: String); virtual;
    function GetANOValue: Integer; virtual;
    procedure SetANOValue(const aValue: Integer); virtual;
    function GetCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetVENDEDORValue: String; virtual;
    procedure SetVENDEDORValue(const aValue: String); virtual;
    function GetNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetGRUPOPRODUCTOValue: String; virtual;
    procedure SetGRUPOPRODUCTOValue(const aValue: String); virtual;
    function GetTIPOPRODUCTOValue: String; virtual;
    procedure SetTIPOPRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetTALLAValue: String; virtual;
    procedure SetTALLAValue(const aValue: String); virtual;
    function GetTALLA38Value: Float; virtual;
    procedure SetTALLA38Value(const aValue: Float); virtual;
    function GetTALLA40Value: Float; virtual;
    procedure SetTALLA40Value(const aValue: Float); virtual;
    function GetTALLA42Value: Float; virtual;
    procedure SetTALLA42Value(const aValue: Float); virtual;
    function GetTALLA44Value: Float; virtual;
    procedure SetTALLA44Value(const aValue: Float); virtual;
    function GetTALLA46Value: Float; virtual;
    procedure SetTALLA46Value(const aValue: Float); virtual;
    function GetTALLA48Value: Float; virtual;
    procedure SetTALLA48Value(const aValue: Float); virtual;
    function GetVTATERMDEVValue: Float; virtual;
    procedure SetVTATERMDEVValue(const aValue: Float); virtual;
    function GetVTAFINALRESCValue: Float; virtual;
    procedure SetVTAFINALRESCValue(const aValue: Float); virtual;
    function GetVENTASValue: Float; virtual;
    procedure SetVENTASValue(const aValue: Float); virtual;
    function GetDEVOLUCIONESValue: Float; virtual;
    procedure SetDEVOLUCIONESValue(const aValue: Float); virtual;
    function GetTOTALValue: Float; virtual;
    procedure SetTOTALValue(const aValue: Float); virtual;
    function GetVALTERMDEVValue: Float; virtual;
    procedure SetVALTERMDEVValue(const aValue: Float); virtual;
    function GetVALFINALRESCValue: Float; virtual;
    procedure SetVALFINALRESCValue(const aValue: Float); virtual;
    function GetVALVENValue: Float; virtual;
    procedure SetVALVENValue(const aValue: Float); virtual;
    function GetVALDEVValue: Float; virtual;
    procedure SetVALDEVValue(const aValue: Float); virtual;
    function GetVALTOTValue: Float; virtual;
    procedure SetVALTOTValue(const aValue: Float); virtual;

    { Properties }
    property NUMINF: String read GetNUMINFValue write SetNUMINFValue;
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Integer read GetCLAVE2Value write SetCLAVE2Value;
    property CLAVE3: Integer read GetCLAVE3Value write SetCLAVE3Value;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property DIA: Integer read GetDIAValue write SetDIAValue;
    property DIASEMANA: String read GetDIASEMANAValue write SetDIASEMANAValue;
    property MES: String read GetMESValue write SetMESValue;
    property ANO: Integer read GetANOValue write SetANOValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property VENDEDOR: String read GetVENDEDORValue write SetVENDEDORValue;
    property NUMTALON: String read GetNUMTALONValue write SetNUMTALONValue;
    property CODIGO: String read GetCODIGOValue write SetCODIGOValue;
    property PRODUCTO: String read GetPRODUCTOValue write SetPRODUCTOValue;
    property GRUPOPRODUCTO: String read GetGRUPOPRODUCTOValue write SetGRUPOPRODUCTOValue;
    property TIPOPRODUCTO: String read GetTIPOPRODUCTOValue write SetTIPOPRODUCTOValue;
    property COLECCION: String read GetCOLECCIONValue write SetCOLECCIONValue;
    property COLOR: String read GetCOLORValue write SetCOLORValue;
    property TALLA: String read GetTALLAValue write SetTALLAValue;
    property TALLA38: Float read GetTALLA38Value write SetTALLA38Value;
    property TALLA40: Float read GetTALLA40Value write SetTALLA40Value;
    property TALLA42: Float read GetTALLA42Value write SetTALLA42Value;
    property TALLA44: Float read GetTALLA44Value write SetTALLA44Value;
    property TALLA46: Float read GetTALLA46Value write SetTALLA46Value;
    property TALLA48: Float read GetTALLA48Value write SetTALLA48Value;
    property VTATERMDEV: Float read GetVTATERMDEVValue write SetVTATERMDEVValue;
    property VTAFINALRESC: Float read GetVTAFINALRESCValue write SetVTAFINALRESCValue;
    property VENTAS: Float read GetVENTASValue write SetVENTASValue;
    property DEVOLUCIONES: Float read GetDEVOLUCIONESValue write SetDEVOLUCIONESValue;
    property TOTAL: Float read GetTOTALValue write SetTOTALValue;
    property VALTERMDEV: Float read GetVALTERMDEVValue write SetVALTERMDEVValue;
    property VALFINALRESC: Float read GetVALFINALRESCValue write SetVALFINALRESCValue;
    property VALVEN: Float read GetVALVENValue write SetVALVENValue;
    property VALDEV: Float read GetVALDEVValue write SetVALDEVValue;
    property VALTOT: Float read GetVALTOTValue write SetVALTOTValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TVentasTerminadasCrossTabDataTableRules }
constructor TVentasTerminadasCrossTabDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TVentasTerminadasCrossTabDataTableRules.Destroy;
begin
  inherited;
end;


{ TVentasTerminadasDataTableRules }
constructor TVentasTerminadasDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TVentasTerminadasDataTableRules.Destroy;
begin
  inherited;
end;

function TVentasTerminadasDataTableRules.GetNUMINFValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasNUMINF].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetNUMINFValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasNUMINF].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetCLAVE1Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasCLAVE1].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetCLAVE1Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasCLAVE1].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetCLAVE2Value: Integer;
begin
  result := DataTable.Fields[idx_VentasTerminadasCLAVE2].AsInteger;
end;

procedure TVentasTerminadasDataTableRules.SetCLAVE2Value(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasTerminadasCLAVE2].AsInteger := aValue;
end;

function TVentasTerminadasDataTableRules.GetCLAVE3Value: Integer;
begin
  result := DataTable.Fields[idx_VentasTerminadasCLAVE3].AsInteger;
end;

procedure TVentasTerminadasDataTableRules.SetCLAVE3Value(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasTerminadasCLAVE3].AsInteger := aValue;
end;

function TVentasTerminadasDataTableRules.GetFECHAValue: DateTime;
begin
  result := DataTable.Fields[idx_VentasTerminadasFECHA].AsDateTime;
end;

procedure TVentasTerminadasDataTableRules.SetFECHAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_VentasTerminadasFECHA].AsDateTime := aValue;
end;

function TVentasTerminadasDataTableRules.GetDIAValue: Integer;
begin
  result := DataTable.Fields[idx_VentasTerminadasDIA].AsInteger;
end;

procedure TVentasTerminadasDataTableRules.SetDIAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasTerminadasDIA].AsInteger := aValue;
end;

function TVentasTerminadasDataTableRules.GetDIASEMANAValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasDIASEMANA].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetDIASEMANAValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasDIASEMANA].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetMESValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasMES].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetMESValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasMES].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetANOValue: Integer;
begin
  result := DataTable.Fields[idx_VentasTerminadasANO].AsInteger;
end;

procedure TVentasTerminadasDataTableRules.SetANOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_VentasTerminadasANO].AsInteger := aValue;
end;

function TVentasTerminadasDataTableRules.GetCENTROValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasCENTRO].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetCENTROValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasCENTRO].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetVENDEDORValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasVENDEDOR].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetVENDEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasVENDEDOR].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetNUMTALONValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasNUMTALON].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetNUMTALONValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasNUMTALON].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetCODIGOValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasCODIGO].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetCODIGOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasCODIGO].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetPRODUCTOValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasPRODUCTO].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetPRODUCTOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasPRODUCTO].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetGRUPOPRODUCTOValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasGRUPOPRODUCTO].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetGRUPOPRODUCTOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasGRUPOPRODUCTO].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetTIPOPRODUCTOValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasTIPOPRODUCTO].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetTIPOPRODUCTOValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasTIPOPRODUCTO].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetCOLECCIONValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasCOLECCION].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetCOLECCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasCOLECCION].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetCOLORValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasCOLOR].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetCOLORValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasCOLOR].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLAValue: String;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA].AsString;
end;

procedure TVentasTerminadasDataTableRules.SetTALLAValue(const aValue: String);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA].AsString := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLA38Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA38].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTALLA38Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA38].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLA40Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA40].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTALLA40Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA40].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLA42Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA42].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTALLA42Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA42].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLA44Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA44].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTALLA44Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA44].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLA46Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA46].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTALLA46Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA46].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetTALLA48Value: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTALLA48].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTALLA48Value(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTALLA48].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVTATERMDEVValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVTATERMDEV].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVTATERMDEVValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVTATERMDEV].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVTAFINALRESCValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVTAFINALRESC].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVTAFINALRESCValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVTAFINALRESC].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVENTASValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVENTAS].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVENTASValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVENTAS].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetDEVOLUCIONESValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasDEVOLUCIONES].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetDEVOLUCIONESValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasDEVOLUCIONES].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetTOTALValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasTOTAL].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetTOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasTOTAL].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVALTERMDEVValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVALTERMDEV].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVALTERMDEVValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVALTERMDEV].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVALFINALRESCValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVALFINALRESC].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVALFINALRESCValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVALFINALRESC].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVALVENValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVALVEN].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVALVENValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVALVEN].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVALDEVValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVALDEV].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVALDEVValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVALDEV].AsFloat := aValue;
end;

function TVentasTerminadasDataTableRules.GetVALTOTValue: Float;
begin
  result := DataTable.Fields[idx_VentasTerminadasVALTOT].AsFloat;
end;

procedure TVentasTerminadasDataTableRules.SetVALTOTValue(const aValue: Float);
begin
  DataTable.Fields[idx_VentasTerminadasVALTOT].AsFloat := aValue;
end;


initialization
  RegisterDataTableRules(RID_VentasTerminadasCrossTab, TVentasTerminadasCrossTabDataTableRules);
  RegisterDataTableRules(RID_VentasTerminadas, TVentasTerminadasDataTableRules);

end.
